Subject: [TLS] Re: Fwd: New Version Notification for draft-barnes-tls-this-could-have-been-an-email-00.txt
From: Simon Josefsson <[email-masked]>
To: Richard Barnes <[email-masked]>
Cc: "<[email-masked]>" <[email-masked]>
Date: Sun, 01 Mar 2026 15:21:52 +0100
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

+1

I suggested to publish the non-hybrid ML-KEM document outside of the TLS
WG, and your proposal turns that into the new general rule.

In fact, I'd go further to suggest that we go back to the olden time
without the 'Recommended' column.  Anyone can register stuff at the
IANA.  Only RFCs turn registered algorithms into recommendations.
Everything else is not recommended implicitly.

I never understood/agreed with the justification for the 'Recommended'
column, and it seems to have consumed a significant amount of time in
both the TLS WG and SSHM WG.  Introducing it looks indistinguishable
from a successful attack on the use of IETF engineering time.

/Simon

Richard Barnes <[email-masked]> writes:

> Hi TLS folks,
>
> Those who have worked with me know that I hate doing unnecessary work.  It
> occurred to me that the TLS WG has been doing a lot of unnecessary work on
> drafts that just register crypto algorithms.  This draft proposes that we
> shouldn't do that.
>
> Submitted for your consideration,
> --Richard
>
> ---------- Forwarded message ---------
> From: <[email-masked]>
> Date: Mon, Feb 23, 2026 at 2:53 PM
> Subject: New Version Notification for
> draft-barnes-tls-this-could-have-been-an-email-00.txt
> To: Richard Barnes <[email-masked]>
>
>
> A new version of Internet-Draft
> draft-barnes-tls-this-could-have-been-an-email-00.txt has been successfully
> submitted by Richard Barnes and posted to the
> IETF repository.
>
> Name:     draft-barnes-tls-this-could-have-been-an-email
> Revision: 00
> Title:    Stop Doing Cryptographic Algorithm Drafts when Email to IANA is
> All You Need
> Date:     2026-02-24
> Group:    Individual Submission
> Pages:    5
> URL:
> https://www.ietf.org/archive/id/draft-barnes-tls-this-could-have-been-an-email-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-barnes-tls-this-could-have-been-an-email/
> HTML:
> https://www.ietf.org/archive/id/draft-barnes-tls-this-could-have-been-an-email-00.html
> HTMLized:
> https://datatracker.ietf.org/doc/html/draft-barnes-tls-this-could-have-been-an-email
>
>
> Abstract:
>
>    People keep pitching drafts to the TLS Working Group where the only
>    thing the draft does is register a code point for a cryptographic
>    algorithm.  Stop doing that.  It's unnecessary.  Write an email to
>    IANA instead.
>
>
>
> The IETF Secretariat
> _______________________________________________
> TLS mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>